Subject: Re: Problem with new Note Well

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Thu, 23 Jan 2014 17:25:20 +0000

This new note well is a real problem for me and  I can not register without clicking "I agree" to it. It is not consistent with the BCPs. The problem is the line that says

	• If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.

I do not agree to that - I can’t given my NDA with my employer does not allow me to disclose confidential information. Yes, I realize there is some weasel words near the top that say "Exceptions may apply." but that does not help me. When you are testifying in court on patents, credibility is incredibly important. You can not have the lawyers on the other side saying that you clicked yes I agree to the line above but you did not actually do what that lines says. You may think this does to matter but the exact topic of how Cisco employees deal with IPR at the IETF is a topic that I have testified on in an East Texas court so this really does happen and really does happen to me. It may happen to you next and you will be much happier if you say what you mean and mean what you say. This new note well fails that test. 

I realize some people would like to change the IETF policy to be that you do have to do what that line says but I do not think that is a change the IESG can make without IETF updating the BCP or at least having IETF consensus on the change. I would respectfully ask the IESG to change this line to something that is still brief but that people can agree with it. Simply adding something like "or not contribute to the discussion on that contribution" would probably solve this problem for me. 

Thank you, 

Cullen

I will note that above line is not consistent with Cisco employment contracts and if we can not resolve this I will be asking Cisco legal to inform Cisco employees they can not agree with this without violating their employment agreement. 

On Jan 23, 2014, at 9:44 AM, Russ Housley <[email-masked]> wrote:

> It seems that the shorter one is now being used on the IETF web site:
> http://www.ietf.org/about/note-well.html
> 
> 
> On Jan 8, 2014, at 3:57 PM, Mary Barnes wrote:
> 
>> Personally, I've never seen significant value in this shorter note well and while others have been using this new text for the past few meetings, I've stuck to the old.   Now that this is considered the recommended note well for chairs to use, I guess I'll use it.  But, I personally think accuracy should trump brevity.  I think the "must" in that bullet  ought to at least be a should and that adding an "otherwise, one should not contribute to or participate in any related IETF activities." would add more value.   
>> 
>> Mary.
>> 
>> 
>> On Wed, Jan 8, 2014 at 1:17 PM, Bradner, Scott <[email-masked]> wrote:
>> you are correct - we (Barry, the IESG & me) discussed this before the IESG approved this text - they felt that
>> being brief was more important than being fully accurate (or at least that is the way I expressed it)
>> 
>> Scott
>> 
>> Scott O Bradner
>> Senior Technology Consultant
>> 
>> Harvard University Information Technology
>> Innovation & Architecture
>> (P) +1 (617) 495 3864
>> 8 Story St, room 5014
>> Cambridge, MA 02138
>> 
>> 
>> 
>> On Jan 8, 2014, at 2:13 PM, Cullen Jennings (fluffy) <[email-masked]> wrote:
>> 
>> >
>> >
>> > On Dec 16, 2013, at 12:56 PM, Barry Leiba <[email-masked]> wrote:
>> >
>> >> The IESG has made final edits to the updated Note Well statement, and
>> >> it has been officially updated:
>> >> http://www.ietf.org/about/note-well.html
>> >>
>> >> I have just uploaded the final versions of the Note Well meeting
>> >> slides, attached to the bottom of the WG Chairs wiki:
>> >> http://wiki.tools.ietf.org/group/wgchairs/wiki/WikiStart
>> >>
>> >> Please use this new version now, and please remember that as you
>> >> prepare slides for the London meeting.
>> >>
>> >> Barry
>> >
>> >
>> > The new note well says
>> >
>> >       • If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.
>> >
>> > Is that true?  Or is it missing something along the lines of section y of BCP 79 such as
>> >
>> >   or must not contribute to or participate in IETF activities with
>> >   respect to technologies that he or she reasonably and personally
>> >   knows to be Covered by IPR which he or she will not disclose.
>> >
>> > Thanks, Cullen
>

---

From: Michael StJohns <[email-masked]>
Date: Thu, 23 Jan 2014 12:49:59 -0500

Is the issue the difference between "any contribution YOU MAKE" and "any contribution"?  E.g. if you happen to hear someone discussing something you think is covered by patent, you can't say anything, but conversely, if YOU are making a contribution that's covered by patent then the NDA doesn't apply (because you have approval to make the contribution and disclosure).

Mike

---

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 23 Jan 2014 17:58:12 +0000

the actual rules are
	1/ if you know of any of your IPR in a contribution you make, you must disclose
	2/ if you know of any of your IPR in any contribution from someone else and you are participating in discussions
	    that involve that contribution, then you must disclose
	3/ if you know of any of your IPR in any contribution from someone else and you are not participating in discussions
	    that involve that contribution, then you are requested to disclose

see - its not that hard to say this briefly

Scott

On Jan 23, 2014, at 12:49 PM, Michael StJohns <[email-masked]> wrote:

>>       . If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.
>> 
>> I do not agree to that - I can't given my NDA with my employer does not allow me to disclose confidential information. Yes, I realize there is some weasel words near the top that say "Exceptions may apply." but that does not help me. When you are testifying in court on patents, credibility is incredibly important. You can not have the lawyers on the other side saying that you clicked yes I agree to the line above but you did not actually do what that lines says. You may think this does to matter but the exact topic of how Cisco employees deal with IPR at the IETF is a topic that I have testified on in an East Texas court so this really does happen and really does happen to me. It may happen to you next and you will be much happier if you say what you mean and mean what you say. This new note well fails that test. 
>> 
>>>>>      . If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.
>>>>>

---

From: Pete Resnick <[email-masked]>
Date: Thu, 23 Jan 2014 12:02:31 -0600

On 1/23/14 11:25 AM, Cullen Jennings (fluffy) wrote:
> This new note well is a real problem for me and  I can not register without clicking "I agree" to it.

You are not asked to click "I agree" to any statement. You are asked to 
"Acknowledge" that you read it. And the statement says right at the top:

"This summary is only meant to point you in the right direction, and 
does not contain all the details. Exceptions may apply."

So by participating, there are things that you are agreeing to that are 
not on this page, and there are exceptions to things on this page that 
you don't have to agree to do.

The only thing that this page does is make you "Acknowledge" that you've 
got homework to do about rules for your participation.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Thu, 23 Jan 2014 18:07:07 +0000

Pete,  what do you think "Acknowledge" means on a from like this? ( I will note it does not say "I Acknowledge I read this but may not agree with it" )

On Jan 23, 2014, at 11:02 AM, Pete Resnick <[email-masked]> wrote:

> You are not asked to click "I agree" to any statement. You are asked to "Acknowledge" that you read it. And the statement says right at the top:
> 
> "This summary is only meant to point you in the right direction, and does not contain all the details. Exceptions may apply."
> 
> So by participating, there are things that you are agreeing to that are not on this page, and there are exceptions to things on this page that you don't have to agree to do.
> 
> The only thing that this page does is make you "Acknowledge" that you've got homework to do about rules for your participation.
> 
> pr
> 
> --

---

From: Pete Resnick <[email-masked]>
Date: Thu, 23 Jan 2014 12:09:38 -0600

> 	1/ if you know of any of your IPR in a contribution you make, you must disclose

No, that's not true. If you know of any of your own IPR *that is 
necessarily infringed* by implementing your contribution, you must 
disclose. And what it means to be "necessarily infringed" has some 
details to it, and it might not be even implementation that causes the 
problem. And that's why it says at the top of the current document that 
there are exceptions.

> see - its not that hard to say this briefly

Really, it is quite hard to state the rules briefly such that it doesn't 
include *more* than you are required to do. Your statement did not.

pr

---

From: Scott Brim <[email-masked]>
Date: Thu, 23 Jan 2014 13:15:20 -0500

Also, instant disclosure is not expected. I remember in the discussions it
was decided that a reasonable amount of time could be allowed for
consultation with lawyers, decisions about who would say what, etc.

---

From: Pete Resnick <[email-masked]>
Date: Thu, 23 Jan 2014 12:25:46 -0600

> Pete,  what do you think "Acknowledge" means on a from like this? ( I will note it does not say "I Acknowledge I read this but may not agree with it" )

You are acknowledging that there are rules (not fully specified here) 
that you have to go read and abide by if you show up and participate at 
the meeting. When you show up and participate at the meeting, you are 
agreeing to a bunch of things that are not on this page.

Are you saying that you don't agree that there are exceptions to what's 
on this page?

pr

---

From: [email-masked]
Date: Thu, 23 Jan 2014 09:41:59 -0800 (PST)

> This new note well is a real problem for me and  I can not register without
> clicking "I agree" to it. It is not consistent with the BCPs. The problem is
> the line that says

>     If you are aware that any contribution (something written, said, or
>     discussed in any IETF context) is covered by patents or patent applications,
>     you must disclose that fact.

> I do not agree to that - I can’t given my NDA with my employer does not allow
> me to disclose confidential information. Yes, I realize there is some weasel
> words near the top that say "Exceptions may apply." but that does not help me.

It's actually much worse than that. This wording would require that not only do
I disclose not only past and present employer/sponsor/personal IPR, but also
IPR third parties have asserted that I happen to be aware of as a result of,
say, a patent dispute. In constrast, the relevant BCPs are clear that while
I'm encouraged to disclose third party IPR I'm aware of, I'm not required to.

The resulting glut of disclosures created by following such a rule would in
turn create serious problems of its own. A lot of people, myself included,
operate under restricitons as to what sort of information about IPR we're
supposed to see. This could easily cross the line.

> When you are testifying in court on patents, credibility is incredibly
> important. You can not have the lawyers on the other side saying that you
> clicked yes I agree to the line above but you did not actually do what that
> lines says. You may think this does to matter but the exact topic of how Cisco
> employees deal with IPR at the IETF is a topic that I have testified on in an
> East Texas court so this really does happen and really does happen to me. It
> may happen to you next and you will be much happier if you say what you mean
> and mean what you say. This new note well fails that test.

The issue of how Oracle employees deal with IPR at the IETF hasn't come up for
me - at least not yet. But this is highly problematic for me in other ways,
as noted above.

> I realize some people would like to change the IETF policy to be that you do
> have to do what that line says but I do not think that is a change the IESG can
> make without IETF updating the BCP or at least having IETF consensus on the
> change.

I realize that a some people think they would like to make such a change, but
having spent a fair bit of time on patent matters, IMO this is a case of "be
careful what you wish for".

> I would respectfully ask the IESG to change this line to something that
> is still brief but that people can agree with it. Simply adding something like
> "or not contribute to the discussion on that contribution" would probably solve
> this problem for me.

Not sufficient for me. This also needs to be changed so that the
employee/sponsor restrictions set forth in sections 6.1.1 and 6.1.2 and most
especially 6.1.3 of BCP 79 are included.

> I will note that above line is not consistent with Cisco employment contracts
> and if we can not resolve this I will be asking Cisco legal to inform Cisco
> employees they can not agree with this without violating their employment
> agreement.

I haven't checked Oracle's contract, but the same may be true here as well, and
if so I will have no choice but to do something similar.

				Ned

---

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 23 Jan 2014 19:56:46 +0000

while, in the end, this is true (the "necessarily infringed” requirement) I do not think it is a good thing
to obsess about at the disclose-so-the-working-group-can-evaluate-the-technology stage since it is impossible
to know if any particular IPR will wind up in this catagory until a RFC is finished - which would negate 
the whole reason for the disclosure

 maybe we should make that clear (disclose if you suspect that IPR relates not “is necessarily infringed”)
in the 3979 update - this is what the rule used to be and the language Pete is focussing on
was added and, apparently, has an undesired side effect

Scott

On Jan 23, 2014, at 1:09 PM, Pete Resnick <[email-masked]> wrote:

> No, that's not true. If you know of any of your own IPR *that is necessarily infringed* by implementing your contribution, you must disclose. And what it means to be "necessarily infringed" has some details to it, and it might not be even implementation that causes the problem. And that's why it says at the top of the current document that there are exceptions.
> 
> Really, it is quite hard to state the rules briefly such that it doesn't include *more* than you are required to do. Your statement did not.
> 
> pr
> 
> --

---

From: Pete Resnick <[email-masked]>
Date: Thu, 23 Jan 2014 14:50:09 -0600

On 1/23/14 1:56 PM, Bradner, Scott wrote:
> while, in the end, this is true (the "necessarily infringed” requirement) I do not think it is a good thing to obsess about at the disclose-so-the-working-group-can-evaluate-the-technology stage since it is impossible to know if any particular IPR will wind up in this catagory until a RFC is finished - which would negate the whole reason for the disclosure
>    

I generally agree with that, though I think this gets to why I think 
having the "Note Well" state a plain-English, imprecise, overbroad 
summary is the right thing to do: The Note Well text should say, "You 
have to disclose IPR you know about. Not always, but maybe more than you 
think. If you're worried about specifically what, when, who, and how, 
you need to go read these other documents, and once you start 
participating, you've agreed to the specifics of what's in those 
documents. Got it?" Part of the reason that some of us pushed to change 
the current Note Well text was because people were *underdisclosing* 
what they were absolutely required to disclose by the BCP.

I'm really concerned about the amateur lawyering. If you're worried 
about this, go consult an attorney. The IESG consulted with Jorge about 
what's up there now, and though he preferred some additional escape 
clauses, he found the current text acceptable. If a bunch of corporate 
attorneys come out of the woodwork and say that they can't let their 
employees hit the "Acknowledge" button on the registration page, we'll 
revisit the issue I'm sure. But my guess is that you'll find that the 
exception language on the page now is sufficient to make them happy.

> maybe we should make that clear (disclose if you suspect that IPR relates not “is necessarily infringed”) in the 3979 update - this is what the rule used to be and the language Pete is focussing on was added and, apparently, has an undesired side effect
>    

I think you'll find that such a change is likely to (a) produce an 
unmanageable number of disclosures (because "you suspect that IPR 
relates" is a pretty low bar) and (b) that such a rule will cause 
heartburn among a bunch of folks. I'm not saying it's the wrong 
direction, but it's not obvious that it's the right direction either.

pr

> On Jan 23, 2014, at 1:09 PM, Pete Resnick<[email-masked]>  wrote:
>
>

---

From: Ted Hardie <[email-masked]>
Date: Thu, 23 Jan 2014 13:48:13 -0800

On Thu, Jan 23, 2014 at 12:50 PM, Pete Resnick <[email-masked]>wrote:

>> while, in the end, this is true (the "necessarily infringed” requirement)
>> I do not think it is a good thing to obsess about at the
>> disclose-so-the-working-group-can-evaluate-the-technology stage since it
>> is impossible to know if any particular IPR will wind up in this catagory
>> until a RFC is finished - which would negate the whole reason for the
>> disclosure
>>
>>
>
> having the "Note Well" state a plain-English, imprecise, overbroad summary
> is the right thing to do: The Note Well text should say, "You have to
> disclose IPR you know about. Not always, but maybe more than you think. If
> you're worried about specifically what, when, who, and how, you need to go
> read these other documents, and once you start participating, you've agreed
> to the specifics of what's in those documents. Got it?" Part of the reason
> that some of us pushed to change the current Note Well text was because
> people were *underdisclosing* what they were absolutely required to
> disclose by the BCP.
>
> I'm really concerned about the amateur lawyering. If you're worried about
> this, go consult an attorney. The IESG consulted with Jorge about what's up
> there now, and though he preferred some additional escape clauses, he found
> the current text acceptable. If a bunch of corporate attorneys come out of
> the woodwork and say that they can't let their employees hit the
> "Acknowledge" button on the registration page, we'll revisit the issue I'm
> sure. But my guess is that you'll find that the exception language on the
> page now is sufficient to make them happy.
>
> I had a quick chat with our legal folks.  They understood that the intent
of the new Note Well language was to give a heads up that there are rules
which are presented elsewhere.  They did feel, however, that the second
bullet captured that
spirit
less well than the first.  Perhaps language that said something like "You
are aware that there are patent disclosure requirements" would do that
slightly better.

regards,

Ted

>
>  maybe we should make that clear (disclose if you suspect that IPR relates
>> not “is necessarily infringed”) in the 3979 update - this is what the rule
>> used to be and the language Pete is focussing on was added and, apparently,
>> has an undesired side effect
>>
>>
>
> unmanageable number of disclosures (because "you suspect that IPR relates"
> is a pretty low bar) and (b) that such a rule will cause heartburn among a
> bunch of folks. I'm not saying it's the wrong direction, but it's not
> obvious that it's the right direction either.
>
> pr
>
>
>>> disclose. And what it means to be "necessarily infringed" has some details
>>> to it, and it might not be even implementation that causes the problem. And
>>> that's why it says at the top of the current document that there are
>>> exceptions.
>>>
>>>
>>>

---

From: <[email-masked]>
Date: Thu, 23 Jan 2014 22:08:12 +0000

Pete,

is that your qualified legal opinion in the appropriate jurisdiction?

thanks,

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: ietf [[email-masked]] On Behalf Of Pete Resnick [[email-masked]]
Sent: 23 January 2014 18:02
To: Cullen Jennings (fluffy)
Cc: IETF WG Chairs; [email-masked] Mailing List; Scott Bradner; IESG IESG; Mary Barnes
Subject: Re: Problem with new Note Well

pr

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Thu, 23 Jan 2014 22:30:17 +0000

On Jan 23, 2014, at 11:25 AM, Pete Resnick <[email-masked]> wrote:

> You are acknowledging that there are rules (not fully specified here) that you have to go read and abide by if you show up and participate at the meeting. When you show up and participate at the meeting, you are agreeing to a bunch of things that are not on this page.
> 
> Are you saying that you don't agree that there are exceptions to what's on this page?
> 

Pete, I am saying that this page is likely to be used to undermine the credibility of IETF participants in patent trials. That is a bad thing. 

We both agree the BCPs do NOT say 

    If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.

So I do not think it is OK for the IESG to be making me click "Acknowledge" to a page that contains the above sentence. I have no problem with acknowledging I am bound by the rules BCP 79.

---

From: [email-masked] (Dale R. Worley)
Date: Thu, 23 Jan 2014 17:45:06 -0500 (EST)

> From: Pete Resnick <[email-masked]>
> 
> You are not asked to click "I agree" to any statement. You are asked
> to "Acknowledge" that you read it. And the statement says right at
> the top:
> 

> From: "Cullen Jennings (fluffy)" <[email-masked]>
> 
> "If you are aware that any contribution (something written, said, or
> discussed in any IETF context) is covered by patents or patent
> applications, you must disclose that fact."

Surely we can write a better statement than what Cullen quotes.  To
begin with, it contains the word "must".  And while the statment is
amplified with "does not contain all the details", can we not provide
a proper pointer to the details?

Not being fully informed about this subject, it seems to me that it
would be far better to say:

    "By participating in an IETF discussion, you agree that if you are
    aware that any contribution (something written, said, or discussed
    in any IETF context) to that discussion is covered by patents or
    patent applications, you may be required to disclose that fact.
    The specific requirements are described in BCP 79."

Dale

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Thu, 23 Jan 2014 22:50:34 +0000

>    The specific requirements are described in BCP 79."

I’d be fine with Dale’s proposal.

---

From: "Eggert, Lars" <[email-masked]>
Date: Fri, 24 Jan 2014 08:17:44 +0000

Hi,

I will (again) point at the IPR text for the I*R*TF, that we changed last year in an attempt to be more descriptive: http://irtf.org/ipr

I believe it captures Cullen's (and my) concern, and is still quite short.

Lars

The IRTF follows the IETF Intellectual Property Rights (IPR) disclosure rules. This is a summary of these rules as they relate to IRTF research group discussions, mailing lists and Internet Drafts:

	• If you include your own or your employer’s IPR in a contribution to an IRTF research group, then you must file an IPR disclosure with the IETF.

	• If you recognize your own or your employer’s IPR in someone else’s contribution and you are participating in the discussions in the research group relating to that contribution, then you must file an IPR disclosure with the IETF. Even if you are not participating in the discussion, the IRTF still requests that you file an IPR disclosure with the IETF.

	• Finally, the IRTF requests that you file an IPR disclosure with the IETF if you recognize IPR owned by others in any IRTF contribution.

The IRTF expects that you file IPR disclosures in a timely manner, i.e., in a period measured in days or weeks, not months. The IRTF prefers that the most liberal licensing terms possible are available for IRTF Stream documents, see RFC 5743. You may file an IPR disclosure here:http://www.ietf.org/ipr/file-disclosure

See RFC 3979 (BCP 79) for definitions of “IPR” and “contribution” and for the detailed rules (substituting “IRTF” for “IETF”).

---

From: Hector Santos <[email-masked]>
Date: Fri, 24 Jan 2014 08:45:37 -0500

I'm not quite following the concern. First, I am little surprise that 
this would be anything new in a patent case with lawyers asking 
questions, seeking facts related to prior art discovery. Second, I 
don't see how you (speaking in general, but mostly top IETF Key cogs 
and industry market leaders) can escape any awareness. Ignorance is 
difficult to claim, however, it can lead to a claim of negligence, and 
IMO, this is more the case today. I am more surprise that the employer 
is not enforcing their NDA more, especially in regards with IETF 
participation which is really wide now with international, and 
countries involved with laws are not consistent with the US.  But I 
suppose your corporation would be in an unique position here given its 
long history and presence within the IETF and industry. This is 
something you should be talking with your corporate chief council. 
Despite whatever the Note Well says, despite the non-binding "I Agree" 
click or statement present or not, it is pretty difficult today to 
escape awareness.  Of course, there are many fine lines here, but that 
is even the more reason your corporate legal guys should be advising 
you -- first.

BTW, I think the first item on the note well page, can be argued as 
the "agreement":

    * By participating with the IETF, you agree to follow IETF 
processes and policies.

It then gets down to defining what is meant by "participating" and 
defining what is meant by "follow."

Does it include the lurkers?  Does it include readers, reviewers, but 
not actually implementators?  etc, and all other similar related 
questions about this.

Its difficult to escape awareness if you are involved in the IETF.

--
HLS

On 1/23/2014 12:25 PM, Cullen Jennings (fluffy) wrote:
> 	� If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.
>
> I do not agree to that - I can�t given my NDA with my employer does not allow me to disclose confidential information. Yes, I realize there is some weasel words near the top that say "Exceptions may apply." but that does not help me. When you are testifying in court on patents, credibility is incredibly important. You can not have the lawyers on the other side saying that you clicked yes I agree to the line above but you did not actually do what that lines says. You may think this does to matter but the exact topic of how Cisco employees deal with IPR at the IETF is a topic that I have testified on in an East Texas court so this really does happen and really does happen to me. It may happen to you next and you will be much happier if you say what you mean and mean what you say. This new note well fails that test.
>
>>>>        � If you are aware that any contribution (something written, said, or discussed in any IETF context) is covered by patents or patent applications, you must disclose that fact.
>>>>

-- 
HLS

---

From: Tom Taylor <[email-masked]>
Date: Fri, 24 Jan 2014 06:42:58 -0500

Couldn't sleep last night as often happens because of the medication I'm 
on. So how about this medication-inspired effort, starting with Scott's 
summation:

"BCP79 provides authoritative rules regarding your obligations to 
disclose IPR when participating in the activities of the IETF, and 
should be referred to when the issue arises. The following summary is 
not totally accurate but provides a brief reminder.

General rule: if you make a contribution to IETF discussion, and you 
know or have reason to believe (without making a search) that you or 
your employer or sponsor owns IPR that has a high probability of being 
infringed by implementations based on that contribution, you or your 
employer must disclose that IPR in timely fashion.

Secondly, if you know or have reason to believe (without making a 
search) that implementations of the content of an IETF discussion in 
which you have not yet participated have a high probability of 
infringing on IPR owned by you or your employer then you must either
  -- not participate in the discussion, or
  -- participate and disclose in accordance with the general rule.

Finally, if you are aware of third party IPR in a contribution to the 
IETF, you are encouraged to send an email message to [email-masked] 
as soon as reasonable disclosing that information."

> see - its not that hard to say this briefly
...

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Fri, 24 Jan 2014 16:31:38 +0000

Both Tom and Lars text would work for me. There seem to be so many ways to write it such that it is still brief but captures the key elements of the BCP.  

Pete, I really think it is that putting a sentences in it that is clearly false is just wrong and I can not understand why you are arguing for that?

On Jan 24, 2014, at 4:42 AM, Tom Taylor <[email-masked]> wrote:

> Couldn't sleep last night as often happens because of the medication I'm on. So how about this medication-inspired effort, starting with Scott's summation:
> 
> "BCP79 provides authoritative rules regarding your obligations to disclose IPR when participating in the activities of the IETF, and should be referred to when the issue arises. The following summary is not totally accurate but provides a brief reminder.
> 
> General rule: if you make a contribution to IETF discussion, and you know or have reason to believe (without making a search) that you or your employer or sponsor owns IPR that has a high probability of being infringed by implementations based on that contribution, you or your employer must disclose that IPR in timely fashion.
> 
> Secondly, if you know or have reason to believe (without making a search) that implementations of the content of an IETF discussion in which you have not yet participated have a high probability of infringing on IPR owned by you or your employer then you must either
> Finally, if you are aware of third party IPR in a contribution to the IETF, you are encouraged to send an email message to [email-masked] as soon as reasonable disclosing that information."
>

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Fri, 24 Jan 2014 20:07:24 +0100

* Cullen Jennings (fluffy) wrote:
>Pete, I really think it is that putting a sentences in it that is 
>clearly false is just wrong and I can not understand why you are arguing 
>for that?

(Me too.)
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Pete Resnick <[email-masked]>
Date: Fri, 24 Jan 2014 14:24:18 -0600

> Pete, I really think it is that putting a sentences in it that is clearly false is just wrong and I can not understand why you are arguing for that?

So here's the key for me (and maybe this means we have a separate Note 
Well for the room from the one on the web site):

In the room, I want something short enough that the chairs might 
actually be inclined to read out loud. It should have the three basic 
messages:

- By participating here, you've agreed to our rules.
- You can be recorded.
- You have to disclose your IPR.
Details on the above specified elsewhere. Go read if you're worried 
about it.

I want those statements extended as little as possible to keep it so 
that the chair might be willing to say it.

And (and this is probably the one where we might still disagree) if it's 
going to be inaccurate, and it will *have* to be inaccurate just by 
nature of being a summary, I want it to be inaccurate such that it 
includes *more* things to disclose than you are actually required to, 
not less. I don't want the excuse for not disclosing to be "I didn't 
understand all of the detail in BCP 79, but the Note Well sure didn't 
say that I had to disclose anything like *that*." If there's going to be 
an inaccuracy in the statement, I want it to be that BCP 79 says to 
disclose *less* than the summarized warning we give folks in the room.

Both Tom's and Lars's summaries are fine, but they're not reasonable 
things to read in the room.

We wrestled with this for a while. I'm open to suggestions. But the 
above are really my design criteria, at least for the one we put on a 
slide for the room.

pr

---

From: Richard Barnes <[email-masked]>
Date: Fri, 24 Jan 2014 21:37:58 +0100

On Fri, Jan 24, 2014 at 9:24 PM, Pete Resnick <[email-masked]>wrote:

>> Both Tom and Lars text would work for me. There seem to be so many ways
>> to write it such that it is still brief but captures the key elements of
>> the BCP.
>>
>> Pete, I really think it is that putting a sentences in it that is clearly
>> false is just wrong and I can not understand why you are arguing for that?
>>
>>
>
> In the room, I want something short enough that the chairs might actually
> be inclined to read out loud. It should have the three basic messages:
>

It seems like this last part is what Cullen and others are catching on,
since it misses an essential caveat.  You *don't* have to disclose IPR on
things you where don't participate in the discussion.

> Details on the above specified elsewhere. Go read if you're worried about
> it.
>
> I want those statements extended as little as possible to keep it so that
> the chair might be willing to say it.
>

All Cullen proposed changing was the following:
OLD: "If you are aware that any contribution (something written, said, or
discussed in any IETF context) is covered by patents or patent
applications, you must disclose that fact."
NEW:  "If you are aware that any contribution (something written, said, or
discussed in any IETF context) is covered by patents or patent
applications, you must disclose that fact, or not contribute to the
discussion on that contribution"

Nine more words is really too long?

--Richard

> going to be inaccurate, and it will *have* to be inaccurate just by nature
> of being a summary, I want it to be inaccurate such that it includes *more*
> things to disclose than you are actually required to, not less. I don't
> want the excuse for not disclosing to be "I didn't understand all of the
> detail in BCP 79, but the Note Well sure didn't say that I had to disclose
> anything like *that*." If there's going to be an inaccuracy in the
> statement, I want it to be that BCP 79 says to disclose *less* than the
> summarized warning we give folks in the room.
>
> We wrestled with this for a while. I'm open to suggestions. But the above
> are really my design criteria, at least for the one we put on a slide for
> the room.
>
>
> pr
>
> --

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 24 Jan 2014 12:56:42 -0800

On Jan 24, 2014, at 12:24 PM, Pete Resnick <[email-masked]> wrote:

> So here's the key for me (and maybe this means we have a separate Note Well for the room from the one on the web site):
> 
> In the room, I want something short enough that the chairs might actually be inclined to read out loud.

So, you want IPR theater. Lovely.

Everyone in the room has already seen the full Note Well at least twice: once upon registering, and once on the agenda. If your actual mission is to get people to read what they have already seen, then the in-room message should simply be:

You already received the IPR rules at least twice. If you haven't read them,
do so right now on on the little schedule or at <http://www.ietf.org/ipr/policy.html>.

That statement lets the WG get to the real purpose of the face-to-face meeting, and does not badly summarize the actual rules.

--Paul Hoffman

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 Jan 2014 22:04:03 -0500

--On Friday, January 24, 2014 14:24 -0600 Pete Resnick
<[email-masked]> wrote:

>...
> And (and this is probably the one where we might still
> disagree) if it's going to be inaccurate, and it will *have*
> to be inaccurate just by nature of being a summary, I want it
> to be inaccurate such that it includes *more* things to
> disclose than you are actually required to, not less. I don't
> want the excuse for not disclosing to be "I didn't understand
> all of the detail in BCP 79, but the Note Well sure didn't say
> that I had to disclose anything like *that*." If there's going
> to be an inaccuracy in the statement, I want it to be that BCP
> 79 says to disclose *less* than the summarized warning we give
> folks in the room.
>...
> We wrestled with this for a while. I'm open to suggestions.
> But the above are really my design criteria, at least for the
> one we put on a slide for the room.

Pete,

If the announcement appears to require more than what is
actually required, you will divide the part of the audience that
pays any attention at all [1] into three categories:

(1) Those who will be scared off by it, or who will discuss it
with their corporate lawyers who will be scared off.  Perhaps
that will be because they will be concerned that the superset
notice is what they were actually told and for which they might
be held accountable, perhaps they conclude that, in the event of
confusion, conservatism is best.  Perhaps something else, but
the net effect is likely to be as much to reduce IETF
participation by those who are concerned as it would be to get
more disclosures.

(2) Those who will say "Well, the announcement distorts the
meaning of BCP 79, so there must be loopholes they are trying to
hide.  Let's go find them."

(3) Those who will go reread BCP 79, and do exactly what it says
regardless of your exaggerations.

Remembering that our goal should be to enable and encourage as
much participation as possible consistent with getting the
disclosures we actually need, I don't see most of those options
as desirable.

    john

[1] Some of us have a talent for tuning out boilerplate.  As a
sometime WG chair, if I have any choice at all, I won't spend
time trying to read things that I'm pretty sure that those who
will listen have already seen and those who won't, won't (I
think that puts my position in alignment with Paul Hoffman's).
As an individual, as soon as the WG Chair says something that
implies "I have this obligatory statement to read that you have
heard before", I'm likely to decide it is an invitation to open
a tunnel to my mailbox (or equivalent).  If that describes a
significant set of patterns, then anything you do to alter the
in-meeting version is a waste of time.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Jan 2014 16:41:34 +1300

It's quite obvious from reading this thread that the IAOC needs
to revert to the previous Note Well text right now, until the
wording issue is resolved.

It is apparent to me though that the BCP *requires* disclosure
as a condition of participation, regardless of employment agreements,
and always has done. That's why there has always been tolerance extended
to allow corporate IPR departments to have time to prepare and make
disclosures at lawyerly speed. Nothing new here except the more brutal
wording.

Regards
   Brian

---

From: John C Klensin <[email-masked]>
Date: Sat, 25 Jan 2014 08:19:26 -0500

--On Saturday, January 25, 2014 16:41 +1300 Brian E Carpenter
<[email-masked]> wrote:

> as a condition of participation, regardless of employment
> agreements, and always has done. That's why there has always
> been tolerance extended to allow corporate IPR departments to
> have time to prepare and make disclosures at lawyerly speed.
> Nothing new here except the more brutal wording.

Agreed.  Noting that the likely effect of "regardless of
employment agreements" if there really is a conflict in a
particular company-participant relations is "don't participate
in that" under the BCP and "don't attend" if the wording is more
brutal, we should have a lot of incentive to clean the language
up... and go back to the tested language until a cleaned-up
version is ready.

    john

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Sat, 25 Jan 2014 14:21:41 +0000

Pete, inline …

On Jan 24, 2014, at 1:24 PM, Pete Resnick <[email-masked]> wrote:

> In the room, I want something short enough that the chairs might actually be inclined to read out loud. It should have the three basic messages:

I certainly don’t plan to read it out in meetings I chair as I do not see any way that it will actually improve the situation at IETF but none the less I still basically agree with your design goals (include keeping it relatively short). 

> - You have to disclose your IPR.

It’s this above point that I don’t believe is true. I think the point you need to make is, I think what you need to say is 

      "You have to disclose your IPR, or not participate in the discussion"

I do want to point out that if you truly wanted this short the total slides would say 

      "This meeting may be recorded. To be in this meeting you must agree to the rules in BCP 79. "

> Details on the above specified elsewhere. Go read if you're worried about it.
> 
> I want those statements extended as little as possible to keep it so that the chair might be willing to say it.
> 
> And (and this is probably the one where we might still disagree) if it's going to be inaccurate, and it will *have* to be inaccurate just by nature of being a summary, I want it to be inaccurate such that it includes *more* things to disclose than you are actually required to, not less. I don't want the excuse for not disclosing to be "I didn't understand all of the detail in BCP 79, but the Note Well sure didn't say that I had to disclose anything like *that*." If there's going to be an inaccuracy in the statement, I want it to be that BCP 79 says to disclose *less* than the summarized warning we give folks in the room.

The core issue here is that you are making the summary be a sentence which is not wrong and which people can not and will not comply with. At that point you toss the whole thing into questions. People who need to testify in court on patents will have their credibility undermined by having agreed to this and then not doing it. You need to come up with a summary is not wrong even if it is not be complete.

I would also like to point out we are not talking about just what goes up on the front of the room but also what I must click agree to when I register. 

> 
> Both Tom's and Lars's summaries are fine, but they're not reasonable things to read in the room.
> 
> We wrestled with this for a while. I'm open to suggestions. But the above are really my design criteria, at least for the one we put on a slide for the room.

Good to hear, I am very hopeful that someone will come up with a suggestion that is not wrong, and at the same time does not increase the total length of the Note Well by more than lets say 20%. Would that work for you ?

---

From: John C Klensin <[email-masked]>
Date: Sat, 25 Jan 2014 09:46:03 -0500

--On Saturday, January 25, 2014 14:21 +0000 "Cullen Jennings
(fluffy)" <[email-masked]> wrote:

> It's this above point that I don't believe is true. I
> think the point you need to make is, I think what you need to
> say is 
> 

And, of course, this drags us into the precise definition of
"participate", an axle around which we've gotten wrapped several
times.  In particular, 

> must agree to the rules in BCP 79. "

but "to be in this meeting" means that sitting in the room
during a WG session constitutes "participation".  I like that
definition, but we've been around it several times and my
recollection is that I was in the minority.  If "participate"
for IPR purposes has any resemblance to "making a Contribution",
e.g., opening your mouth, then the above statement is as false
as some of those to which you object.

>...
> The core issue here is that you are making the summary be a
> sentence which is not wrong and which people can not and will
> not comply with. At that point you toss the whole thing into
> questions. People who need to testify in court on patents will
> have their credibility undermined by having agreed to this and
> then not doing it. You need to come up with a summary is not
> wrong even if it is not be complete.

Yep.  See earlier comments by Brian and myself, but this
credibility effect is equally important.

Perhaps the appropriate short statement might be more like:

	"If you are in this room two minutes from now or
	thereafter, you are deemed to have read, understood, and
	agreed to BCP 79.  If you have not read and understood
	it, please leave until after you do."
	
I hope that is a joke, but it is short, says nothing false, and
doesn't get entangled with terms like "participate".

   john

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Sat, 25 Jan 2014 14:50:56 +0000

John,

Point taken and I understand how hard it is to get the right words. I’m not trying to propose exact words as I’m hoping that someone else can come up with something that meets Pete’s goals of relatively short and my goals of not looking like an idiot in some court room. 

Cullen

---

From: Suzanne Woolf <[email-masked]>
Date: Sat, 25 Jan 2014 14:15:33 -0500

Colleagues,

As a long-time IETF'er and new WG chair, I want a) something I can say in the room as part of the opening to a meeting, if only to support Cullen's non-idiocy requirement; b) something that will make sense to those with the ability/inclination to pay attention to boilerplate; and c) something not wrong, for which Pete's requirements sound reasonable to me.

It also sounds like Richard's suggested change meets the requirements, including the one that encourages us to err on the side of disclosure or non-participation.

If we can't agree on that, I'd prefer to revert to the old wording while we hash this out, but I really hope more hashing isn't needed.

best,
Suzanne

---

From: Scott Brim <[email-masked]>
Date: Sat, 25 Jan 2014 14:25:41 -0500

On Jan 25, 2014 2:16 PM, "Suzanne Woolf" <[email-masked]> wrote:
> As a long-time IETF'er and new WG chair, I want a) something I can say in
the room as part of the opening ...

What I did last time I chaired was put up the Note Well and tell everyone
it was important and they should read it; pass out blue sheets; when I came
back, ask if anyone had not read it. I didn't have to turn anyone off by
reading something to them, but I did get to call their attention to it
twice.

Scott

---

From: [email-masked]
Date: Sun, 26 Jan 2014 14:45:47 -0800 (PST)

> > Nothing new here except the more brutal wording.

Nonsense. The BCP is careful to make it clear that you're obliged to
dislose your IPR when you're contributing.

The Note Well grossly misprepresents the BCP by talking about any contribution
and any IPR without qualification. This is incorrect in two ways: It conflates
contributions in general with someone acting in the role of a contributor, and
it fails to distingish between "your" IPR and third party IPR. 

The wording is not brutal, or as others have claimed, overly broad. It's sloppy
and wrong.

And I'm far more worried about 3rd party IPR here. BCP 79 section 6.1.3 makes
disclosure of that a MAY. (The exact word used is "encouraged".) This languages
makes it a MUST. Would we tolerate a MUST where a MAY is needed in any other
context, even with an "exceptions may apply" disclaimer attached? I think not.

> up... and go back to the tested language until a cleaned-up

Mandating disclosure of 3rd party IPR drags in a whole lot more than employment
contracts.

				Ned

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Jan 2014 18:24:37 -0500

--On Sunday, 26 January, 2014 14:45 -0800 Ned Freed
<[email-masked]> wrote:

>> in that" under the BCP and "don't attend" if the wording is
>> more brutal, we should have a lot of incentive to clean the
>> language up... and go back to the tested language until a
>> cleaned-up version is ready.
> 
> Mandating disclosure of 3rd party IPR drags in a whole lot
> more than employment contracts.

Of course.  And some of what gets dragged in is, or may be, more
important than the employment contracts.  I was just responding
to Brian's specific point and trying to suggest that "regardless
of employment agreements" was really not something one could say
if an open, broadly representative, IETF was part of one's
target.

I agree about "sloppy and wrong" too.

best,
   john

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 27 Jan 2014 17:52:52 +1300

> dislose your IPR when you're contributing.

Yes. I should have written "as a condition of contribution". Sorry.

Anyway - same conclusion, we should use the old wording until
the new wording has been corrected.

    Brian

---

From: Geoff Mulligan <[email-masked]>
Date: Sat, 25 Jan 2014 09:51:53 -0700

Scott,
   Maybe this is a potential rat-hole - I don't know - but what if:
     -  I'm working as a consultant and attending the IETF representing 
myself
     -  I know of IPR in someone else's contribution
     -  I'm participating in the discussion
     -  I'm under an NDA with that company that covers their IPR

    Geoff

*Presidential Innovation Fellow | Executive Office of the President | 
301.975.6283*

---

From: Mary Barnes <[email-masked]>
Date: Fri, 24 Jan 2014 15:03:53 -0600

> Details on the above specified elsewhere. Go read if you're worried about

[MB] As a chair, I would not be reading the statement out loud. As far as
I'm concerned, my responsibility as a chair is to make sure everyone in the
room is aware of the IETF IPR rules - it's not up to me to summarize them
for the group.  And, saying go read the details "if you're worried" isn't
sufficient.  Everyone should have read the documents in detail and make
sure that anyone that has a say on how they disclose and deal with IPR in
IETF (i.e., corporate lawyers) are aware of IETF policy.  [/MB]

> things to read in the room.
[MB] I don't at all think that's too much text to read aloud should someone
think they should do that.  We have lots of slides presented in WGs that
have just as much information and (sadly) sometimes those are just read out
versus someone just hitting on the key points. [/MB]

---

From: John C Klensin <[email-masked]>
Date: Mon, 27 Jan 2014 10:45:51 -0500

--On Friday, 24 January, 2014 15:03 -0600 Mary Barnes
<[email-masked]> wrote:

>...
> [MB] As a chair, I would not be reading the statement out
> loud. As far as I'm concerned, my responsibility as a chair is
> to make sure everyone in the room is aware of the IETF IPR
> rules - it's not up to me to summarize them for the group.

For both this new statement and its predecessors, it seems to me
that we have to recognize the limitations of what we are trying
to do and think about and balance policy plans accordingly.   If
your "responsibility as a chair is to make sure everyone in the
room is aware..." then you need to repeat the announcement every
time someone walks into the room who wasn't there when you made
your check, showed your slides, or did your reading.  Unless we
are going to take to locking doors so that no one can enter a WG
meeting after the "Note Well" announcement is made, such
repetition would be disruptive and absurd.  

Similarly, if one were really inclined to "make sure", the right
way to do it would be to ask at the beginning of the session for
everyone who was familiar with the IPR policies to put up their
hands, ask everyone else to leave, and then take pictures of
everyone who was left for later correlation with the blue
sheets.  But that is almost equally absurd and the community has
been fairly clear about its distaste for pictures that can be
correlated with names.

Given our registration procedures, we could take the possession
of a badge as evidence that someone had been adequately exposed
to the Note Well (if not actually to the BCP) and arrange to
check for badges at meeting room doors.  But we've decided, IMO,
for good reason, to not do that either.

> And, saying go read the details "if you're worried" isn't
> sufficient.  Everyone should have read the documents in detail
> and make sure that anyone that has a say on how they disclose
> and deal with IPR in IETF (i.e., corporate lawyers) are aware
> of IETF policy.  [/MB]

Yes.  But "the documents" there are BCP 79 (and probably BCP 78
and various Trust policies) and not some summary.  And, no
matter how much it might make those who are IPR-fascinated
happy, as a WG participant and sometime chair, I don't want
people spending time in WG meetings trying to decipher BCP79 and
its implications (or bringing their lawyers with them to do so)
any more than I want them buried in email -- I want them paying
attention to the meeting, else why are they present.  

For someone (and their organizations if relevant) who is
adequately familiar with BCP 79 before walking into the WG
meeting, further announcements, regardless of their precise
content, are a waste of time except maybe as a small reminder.
For anyone who isn't, the announcements are useless unless we
are just trying to tell them that they might be in big trouble
if they stay in the room.

best,
   john

---

From: Jari Arkko <[email-masked]>
Date: Mon, 27 Jan 2014 18:02:10 +0200

Starting a separate thread, because this is not related to the original complaint about inaccurate new note well text.

>     -  I'm working as a consultant and attending the IETF representing myself

That is a rat-^H^H^H^Hhard problem. Something has to give. You can't simultaneously follow two incompatible sets of rules. If you end up in that situation and can't convince parties to disclose, maybe "participating in the discussion" has to give. Of course this is a specific example of things that can happen in people's lives in other ways, too. Two consulting contracts that have incompatible requirements. Board position and a job that creates a conflict interest for you to be in the board. And so on.

Jari

---

From: Scott Brim <[email-masked]>
Date: Mon, 27 Jan 2014 11:06:40 -0500

> That is a rat-^H^H^H^Hhard problem. Something has to give. You can't simultaneously follow two incompatible sets of rules. If you end up in that situation and can't convince parties to disclose, ma…

Right. IMHO if you haven't anticipated this situation you would do
best to shut up until you talk to your lawyers. However, thankfully,
you have learned that you need to anticipate the problem and you can
talk to them before the problem arises.

Scott

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 27 Jan 2014 11:12:35 -0500

On Mon, Jan 27, 2014 at 11:02 AM, Jari Arkko <[email-masked]> wrote:

> Starting a separate thread, because this is not related to the original
> complaint about inaccurate new note well text.
>
> That is a rat-^H^H^H^Hhard problem. Something has to give. You can't
> simultaneously follow two incompatible sets of rules. If you end up in that
> situation and can't convince parties to disclose, maybe "participating in
> the discussion" has to give. Of course this is a specific example of things
> that can happen in people's lives in other ways, too. Two consulting
> contracts that have incompatible requirements. Board position and a job
> that creates a conflict interest for you to be in the board. And so on.
>
> Jari
>
>
And it is not just IPR, it is IPR claims that are covered.

I know a lot of IPR claims that are utter hogwash. But if I am working with
a company that is defending itself against a lawsuit asserting that claim,
their lawyers usually don't want that to be public knowledge until they
tell the plaintiff.

The IETF IPR rules were crafted to address one particular IPR problem that
doesn't really exist any more because the courts have effectively
eliminated any incentive. Anyone who goes to a standards body with the
objective of covertly ensuring that the standard necessarily infringes is
risking getting their patent invalidated at the very least.

The IPR problems we have at the moment are an industry wide patent war that
has broken out between groups of companies with very broad portfolios of
claims which come from significant investments in R&D and a large number of
non-practicing entities, some of which have attempted claims that are so
ridiculous the lawyers behind them are facing civil lawsuits from the FTC.

-- 
Website: http://hallambaker.com/

---

From: Jari Arkko <[email-masked]>
Date: Mon, 27 Jan 2014 18:17:20 +0200

All - it is clear that you have a concern about the new note well text. The problem has been well articulated; personally, I'd be happy with some of the edits suggested. However, it is probably better if we do the word-smithing separately and come back with a proposal. I have asked the IESG to consider the situation and the need for a new version of the note well and/or reverting to the old version.

Thanks for the feedback, as always!

Jari

---

From: Pete Resnick <[email-masked]>
Date: Mon, 27 Jan 2014 11:16:37 -0600

Re-reading, apparently I was in a particularly foul mood last week. My 
apologies for the amount of foulness that leaked through.

Closing the loop:

>        "You have to disclose your IPR, or not participate in the discussion"

For in the room, I'd be fine with that. If all you want to do is add "or 
not participate in the discussion" to the end of what's there now, cool 
with me.

I am completely ambivalent about what goes on the registration page or 
elsewhere on the web site. I am fine with that text being different than 
what is used in the room as the reminder. I would like something that is 
more of a "plain language" version.

>        "This meeting may be recorded. To be in this meeting you must agree to the rules in BCP 79. "

Well, that's the problem with the original text. All it says is "you 
have to abide by BCP 79" and doesn't mention "IPR" at all. Nobody 
reading it could be expected to know that there are IPR rules in the 
IETF from only reading that. For practical purposes, I think that's 
next-to-useless.

Anyway, it sounds like Jari is asking for a regroup. A fine plan.

pr

---

From: Dave Crocker <[email-masked]>
Date: Mon, 27 Jan 2014 09:20:50 -0800

On 1/27/2014 8:17 AM, Jari Arkko wrote:
> All - it is clear that you have a concern about the new note well text. The problem has been well articulated;

Jari, et al,

There are a number of different problems, and only some of them have 
been articulated.  Worse, the problems include the IPR rules themselves, 
not just the Note Well:

      0.  We have had IPR rules and a Note Well for many years and have 
revised both a number of times.  Normally, work we do that has been 
around that long warrants being called "mature", which means that it 
works well and is well understood.  The latest discussion demonstrates 
that that model does not apply to the IETF's IPR handling.  In fact, the 
exchange looks more like the disparities we see early in a working group 
effort, not what normally takes place after many years.

      1. The participants in the discussion are extremely experienced 
with the IETF and with this topic.  Yet they demonstrated a strong 
/lack/ of rough consensus about what the /current/ IPR rules mean.

      2.  The current rules are too complex for use by average 
engineers.  Engineers are not attorneys, nevermind IPR attorneys.  IPR 
is considered by attorneys to be an esoteric and difficult specialty. 
The IETF's IPR rules need to be simple and simply stated, if we expect 
average engineers to understand them.

      3.  The current IPR rules appear to impose an unreasonable demand 
on IETF participants, such as conflicting with employment arrangements. 
(And if the demand is reasonable, then what is noteworthy is that 
someone who has read this latest IETF discussion has developed the 
impression that it isn't.  See point 6.)

      4.  The current Note Well is too complex and apparently erroneous. 
  (And if it is not erroneous, then what is noteworthy is that a serious 
attempt to review the thread has resulted in someone coming to the 
conclusion that the Note Well is erroneous.  See point 6.)

      5.  Expecting an average IETF engineer to consult 4 different 
BCPs, in order to understand what is required of them is not reasonable. 
  Nor is all each document relevant.  So, in effect, the references are 
overly broad, as well as too complicated. (See point 6.)

      6.  Having a range of experienced, diligent IETF participants 
demonstrate substantive disagreement about the meaning of our current 
IPR rules undermines whatever utility the rules might have.  It sets up 
a litigation argument that the participant did not understand the rules, 
citing this thread as demonstrating that others also don't.

The remedies we need are not just with the Note Well.  We need to fix 
the IPR rules too.

      0.  We need to establish clear and compelling community rough 
consensus about the meaning of our IPR rules and the utility of our Note 
Well.  We are currently /very/ far from being able to do that.

      1.  We need a consensus statement that describes our 'model' of an 
IETF particpant, in terms of what is reasonable for them to know and 
what is reasonable for them to be responsible for and what is reasonable 
for them to do, especially within the real time performance constraints 
of a working group meeting. The premise of that model needs to be 
extreme simplicity and clarity.  Any rules we assert need to be vetted 
against that model.  Our current arrangement requires an average 
engineer to be more knowledgeable and more diligent than is reasonable. 
  (By 'diligent' I'm not referring to intent; I'm referring to classic 
human factors usability limits.)

      2.  One of the distinctions in the latest discussion is between 
having the Note Well attempt to summarize what the IPR rules are, versus 
having it merely declare that we have IPR rules and point the reader to 
them.  For summary instruments, like a Note Well, the latter approach 
makes far more sense.

      3.  We need all of the IPR rules for IETF participation to be in a 
single, simple, clear document that is easily understandable by an 
average engineer. (See point 1.)

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Scott Brim <[email-masked]>
Date: Mon, 27 Jan 2014 12:34:41 -0500

On Mon, Jan 27, 2014 at 12:03 PM, Mulligan, Geoff
<[email-masked]> wrote:
> I do want to be clear - I am not currently facing this situation and I haven't yet faced this situation, but I fear that as a consultant (in the future when this current job ends) I may face this.  I want to understand my options as I would like to continue my participation and affiliation with the IETF.

Geoff, IMHO (and I have done this): when you start a consulting gig
that involves speaking up in SDOs, set up time to review the SDO IPR
policies with your management and lawyers, and get a baseline for how
they want you to handle gray area situations.

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 27 Jan 2014 19:24:51 +0000

An you clarify whether you consider your use case as trying to meet the requirements of 6.1.2 or the requirements of 6.1.3 of RFC 3979.

Regards

Keith 

> -----Original Message-----
> From: WGChairs [mailto:[email-masked]] On Behalf 
> Of Mulligan, Geoff
> Sent: 27 January 2014 17:01
> To: Jari Arkko
> Cc: IETF WG Chairs; [email-masked] Mailing List
> Subject: RE: Third party disclosures and NDAs (Re: Problem 
> with new Note Well )
> 
> So because I know of IPR that someone else has and is not 
> disclosing and because I cannot legally disclose it - I can't 
> continue to participate in the discussion doesn't seem right. 
>  I'm not the holder of the IPR that isn't being disclosed, 
> but I'm penalized.
> 
> Geoff
> 
> 
> Geoff Mulligan | Presidential Innovation Fellow | Cyber 
> Physical Systems | 301.975.6283
> 
> From: Jari Arkko <[email-masked]>
> Sent: Monday, January 27, 2014 11:02 AM
> To: Mulligan, Geoff
> Cc: IETF WG Chairs; [email-masked] Mailing List
> Subject: Third party disclosures and NDAs (Re: Problem with 
> new Note Well )
> 
> Starting a separate thread, because this is not related to 
> the original complaint about inaccurate new note well text.
> 
> That is a rat-^H^H^H^Hhard problem. Something has to give. 
> You can't simultaneously follow two incompatible sets of 
> rules. If you end up in that situation and can't convince 
> parties to disclose, maybe "participating in the discussion" 
> has to give. Of course this is a specific example of things 
> that can happen in people's lives in other ways, too. Two 
> consulting contracts that have incompatible requirements. 
> Board position and a job that creates a conflict interest for 
> you to be in the board. And so on.
> 
> Jari
> 
>

---

From: John Leslie <[email-masked]>
Date: Mon, 27 Jan 2014 14:34:35 -0500

Dave Crocker <[email-masked]> wrote:
>    revised both a number of times.

   I'd bet 90% of folks who read the Note Well aren't even aware that
BCP 79 is a concatenation of RFC 3979 and RFC 4879.

   :^(

   It is a sad fact that having read BCP 79 eight years ago isn't "enough".

>  Normally, work we do that has been around that long warrants being
> called "mature", which means that it works well and is well understood.

   Delusions _are_ functional! ;^)

> The latest discussion demonstrates that that model does not apply to
> the IETF's IPR handling...

>    /lack/ of rough consensus about what the /current/ IPR rules mean.

   +1

> 2. The current rules are too complex for use by average engineers.
>    Engineers are not attorneys, nevermind IPR attorneys...

   Folks are pretty much forced to "click-through" any legalese today.
We are only deluding ourselves to think it "means" anything.

>    on IETF participants, such as conflicting with employment
>    arrangements...

   By the time the average attendee hears the Note Well read in a
meeting, the employer has already agreed to pay for airfare and hotel.
Do we really expect that he who pays the piper doesn't call the tune?

> 4. The current Note Well is too complex and apparently erroneous... 

   I am sympathetic to Pete's desire to impress on hearers that there
_are_ rules about disclosing IPR. But we shouldn't go so far as to
exclude Cisco employees.

> 5. Expecting an average IETF engineer to consult 4 different BCPs,
>    in order to understand what is required of them is not reasonable. 
>    Nor is all [of] each document relevant...

   It's actually worse, since BCPs can change... :^(

>    demonstrate substantive disagreement about the meaning of our
>    current IPR rules undermines whatever utility the rules might
>    have...

   I wouldn't go quite that far... lawyers _love_ disagreements about
what a document "means." We can't avoid this! :^(

   But IMHO, the Note Well read at the beginning of meetings shouldn't
attempt to summarize the rules: merely "BCP 79 as of January 2014"
seems sufficient.

   (Which is not to say that a more extensive "Note Well" during the
registration process wouldn't be appropriate...)

--
John Leslie <[email-masked]>

---

From: [email-masked]
Date: Mon, 27 Jan 2014 22:36:56 -0800 (PST)

> BCP 79 is a concatenation of RFC 3979 and RFC 4879.

I didn't know that those were the specific RFCs involved. But I didn't have to.
I clicked on the link the last time the Note Well came up, up popped the text
of both RFCs and I read it.

>    It is a sad fact that having read BCP 79 eight years ago isn't "enough".

That's highly debatable. All RFC 4879 does is clarify one sentence in RFC 3979
having to do with the handling of third party disclosures by the Executive
Director. It doesn't affect the responsibilities of participants at all.

A cogent argument can be made that we should work towards consolidating 
and simplifying the IPR documents. This isn't it.

				Ned

---

From: Dave Crocker <[email-masked]>
Date: Mon, 27 Jan 2014 23:26:14 -0800

> and simplifying the IPR documents. This isn't it.

http://www.ietf.org/about/note-well.html contains pointers to multiple 
documents.  (I thought I saw 4 docs, but apparently it's 3.)

      "All IETF Contributions are subject to the rules of RFC 5378 and 
RFC 3979 (updated by RFC 4879)."

It does not matter how much or how little of each document is relevant. 
  The citations are generic, establishing a burden on the reader to 
consult all 3 documents and then try to figure out what parts of them apply.

The burden created by the presence of multiple, generic citations -- not 
the burden of the "relevant" text contained in any of those documents, 
once the readers figures out what's relevant -- is what I am calling 
inappropriate.

d/

---

From: Jari Arkko <[email-masked]>
Date: Tue, 28 Jan 2014 09:44:03 +0200

For your information, as a temporary measure we have pulled back the change and the web site (registration etc) should now display the old note well text.

Jari

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Tue, 28 Jan 2014 14:40:42 +0000

> For your information, as a temporary measure we have pulled back the change and the web site (registration etc) should now display the old note well text.

Thank you - I just registered. And I appreciate the IESG deciding to go back and have a second look at the Note Well.

---

From: "Mulligan, Geoff" <[email-masked]>
Date: Mon, 27 Jan 2014 17:00:55 +0000

So because I know of IPR that someone else has and is not disclosing and because I cannot legally disclose it - I can't continue to participate in the discussion doesn't seem right.  I'm not the holder of the IPR that isn't being disclosed, but I'm penalized.

Geoff

Geoff Mulligan | Presidential Innovation Fellow | Cyber Physical Systems | 301.975.6283

Subject: Third party disclosures and NDAs (Re: Problem with new Note Well )

Jari

---

From: "Mulligan, Geoff" <[email-masked]>
Date: Mon, 27 Jan 2014 17:03:57 +0000

Geoff

________________________________________
From: Scott Brim <[email-masked]>
Sent: Monday, January 27, 2014 11:06 AM
To: Jari Arkko
Cc: Mulligan, Geoff; IETF WG Chairs; [email-masked] Mailing List
Subject: Re: Third party disclosures and NDAs (Re: Problem with new Note Well )

Scott

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 28 Jan 2014 13:12:29 -0500 (EST)

> From: "Mulligan, Geoff" <[email-masked]>
> 
> So because I know of IPR that someone else has and is not disclosing
> and because I cannot legally disclose it - I can't continue to
> participate in the discussion doesn't seem right.  I'm not the
> holder of the IPR that isn't being disclosed, but I'm penalized.

That is the rule (it seems).  It's hard on you, but the IETF seems to
hold to the principle "You can't participate if you know of
undisclosed IPR claims", presumably so the participant can't secretly
steer the solution to include or exclude the IPR.  It's a choice of
who gets inconvenienced, you or the IETF?

Indeed, if the IETF didn't have this rule, a company with undisclosed
IPR could hire consultants, put them under NDA, and have them advocate
at the IETF to include the IPR in standards.

Dale

---

From: [email-masked]
Date: Tue, 28 Jan 2014 10:31:36 -0800 (PST)

> So because I know of IPR that someone else has and is not disclosing and
> because I cannot legally disclose it - I can't continue to participate in the
> discussion doesn't seem right.  I'm not the holder of the IPR that isn't being
> disclosed, but I'm penalized.

As I have pointed out several times now, that's incorrect. Section 6.1.3 of
BCP 79 discusses "IPR of Others", and says:

   If a person has information about IPR that may Cover IETF
   Contributions, but the participant is not required to disclose
   because they do not meet the criteria in Section 6.6 (e.g., the IPR
   is owned by some other company), such person is encouraged to notify
   the IETF by sending an email message to [email-masked].  Such a
   notice should be sent as soon as reasonably possible after the person
   realizes the connection.

And the referenced section 6.6 says:

   6.6.  When is a Disclosure Required?

   IPR disclosures under Sections 6.1.1. and 6.1.2 are required with
   respect to IPR that is owned directly or indirectly, by the
   individual or his/her employer or sponsor (if any) or that such
   persons otherwise have the right to license or assert.

Encouraged != required.

The wrinkle here - and why I think you're getting some odd answers to your
questions - is that you're not being clear about what role the "someone else"
you're talking about has in the IETF. If the "someone else" is not
participating in the IETF, then there's no problem, other than possibly your
own conscience.

If the "someone else" is participating while meeting the disclosure
requirements, then once again there's no problem since the disclosure has
already been done and there's no need for you to repeat it.

But if they are participating and not disclosing, then there's a big problem,
and in that case it may indeed suck to be you. My advice in such cases would be
to consult an attorney with substantive expertise in IP law as to what your
obligations are.

I do expect such cases to be quite rare though.

				Ned

---

From: David Morris <[email-masked]>
Date: Tue, 28 Jan 2014 11:01:24 -0800 (PST)

> at the IETF to include the IPR in standards.

Um ... if you are currently working for the IPR owner as a consultant,
it isn't 3rd party IPR ... if one is being paid to advocate related
to IPR, it is not the case Geoff outlined.

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 28 Jan 2014 19:03:45 -0000

Ned's reading agrees with mine.

It must suck to be under contract or NDA to someone who is participating in the
IETF and wilfully ignoring the IETF's IPR rules.

The first step may be to check with them direct that they are wilfully ignoring
those rules - it is possible that they have missed something and will thank you
for pointing it out. Both the company concerned and the participating individual
may be glad to hear from you.

Why might they thank you? Because if the company later tries to enforce a
license on their patent and it comes out that they sent people to participate
against the IETF's rules, then it is possible that a court might take a dim view
of their claim. Because if the IETF later discovers that the individual has
participated against the IETF's rules then the IETF might read and apply RFC
6701.

Cheers,
Adrian

PS It is not unheard of for a third party (such as an AD) to discover (through
whatever means) the existence of IPR that might be relevant and file a 3rd-party
notice accordingly.

> From: WGChairs [mailto:[email-masked]] On Behalf Of Ned Freed
> Sent: 28 January 2014 18:32
> To: Mulligan, Geoff
> Subject: RE: Third party disclosures and NDAs (Re: Problem with new Note Well
)
> As I have pointed out several times now, that's incorrect.

---

From: [email-masked]
Date: Tue, 28 Jan 2014 15:51:17 -0800 (PST)

> to IPR, it is not the case Geoff outlined.

Quite right.

There's also the case of where you're consulting for two entities, one of which
has IP they won't let you disclose and the other wants you to do IETF work in
an area touched on by that IP.

But here both the involvement in the IETF as well as this being an IP matter
are really just red herrings. This is a conflict of interest between the two
entities you're consulting for, nothing more and nothing less. And once again
it sucks to be you, but handling such conflicts of interest is decidedly out of
scope.

There are certainly other variations, leading to the general observation that
the more interests you're involved with and/or representing, the more
constrained you're going to be. That's ineluctable.

				Ned

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 29 Jan 2014 11:39:16 +0100

I agree with the suggestions below and that I never liked the note
well wordings. In addition, from Cullen's first message and others, it
seems like most IETF participants are not practicing or understandning
the note well. The reason may be because engineers are not good in
legal issues, so do we have a current legal advisor/position in IETF
organisation, or still IETF has no progress in legal experience, so we
will need to go back to external legal. Why IETF just leaves its
participants alone to do the legal advise but when it comes to their
works it encourages inputs? Does the note well consider all
countries/regions legal policies? Is it practical/agreeable for all
participants any where, or was it tested?

For me I don't agree with the way the note well is forced on all, it
needs more discussions between WGs and their Chairs, but no time for
it or no advisors or group discussion/meeting for legal issues (may be
only IESG decides for us so far which is never practical).

AB

---

From: Robert Elz <[email-masked]>
Date: Wed, 29 Jan 2014 18:26:03 +0700

Date:        Tue, 28 Jan 2014 13:12:29 -0500 (EST)
    From:        [email-masked] (Dale R. Worley)
    Message-ID:  <[email-masked]>

  | Indeed, if the IETF didn't have this rule, a company with undisclosed
  | IPR could hire consultants, put them under NDA, and have them advocate
  | at the IETF to include the IPR in standards.

Much easier, for such nefarious company, is simply to hire (as employees, or
consultants, it makes no difference) people to "represent" the company's
interest at the IETF, and make sure that those people are unaware of any
and all IPR claims that the company may possess.

In that case, the person attending the IETF cannot possibly disclose the
IPR, as they're unaware of it, the company can't be expected to disclose
anything - companies don't attend the IETF (except as sponsors perhaps, and
I am fairly sure that no-one asks the sponsors to reveal all their IPR before
we take their money) the people all attend as individuals.

We may not like this kind of behaviour, but other than completely changing
the way the IETF is designed to operate (to actually have company's explicitly
become members, and enter into membership agreements, with only representatives
of member companies permitted to participate) which I don't think anyone wants,
there really is nothing that can be done about it.

Now this by no means guarantees that the courts won't take a dim view of
this kind of behaviour, if an attempt is later made to enforce the IPR claim,
but it won't be because of any breach of IETF rules - there hasn't been any
in this scenario.

All of these problems are brought about by yet another instance of the
IETF attempting to fix something that is simply way outside our competence
or ability to fix.  It isn't surprising - after all, the IETF is made up
(mostly) of engineers, and when an engineer sees something broken, the
natural inclination is to attempt to fix it.  But sometimes the underlying
problem is something that simply cannot be fixed by any amount of engineering.
Hidden IPR is one of those, the problem is in people's attitudes - how
willing they are to put their own interests ahead of the general community
interest.   You simply cannot engineer a fix to this, it is a social issue.

Everything beyond simply encouraging people to disclose any IPR that they're
aware of, which they are able to disclose - or if unable, to attempt to
encourage those who are able to disclose it, is beyond what is rational for
the IETF to attempt to do, and what's more, the "rules" that people spend
so much time debating (people waste so much time debating) are essentially
useless, as they have no enforcement mechanism.  What exactly is the IETF
supposed to do, if it is revealed, some time later, that some IPR was not
disclosed by a participant in some discussions that they could have
disclosed?   As I understand it, there is simply some hope that some court
will use that to invalidate the IPR claim - but nothing I've seen suggests
that the "rule" is actually necessary for that, and even if it is, as above,
it is trivial to work around.

These days the IETF is spending far too much time on issues that have nothing
to do with actually improving the protocols in use on the internet, and
should go back to doing what it can do, and simply allow the rest to be 
handled in the places designed to handle such things.   Stepping back, and
saying "I cannot fix that problem" seems like being defeated, but it isn't,
it is just accepting reality.  That is good engineering.

kre

---

From: Yoav Nir <[email-masked]>
Date: Wed, 29 Jan 2014 14:42:55 +0200

> and all IPR claims that the company may possess.

That's not so nefarious. If those people are unaware of the IPR claims, 
they're unable to steer the working group towards infringing technology. 
I suspect that some companies are hiring people for their "IETF 
experience" and intentionally keeping them away from the R&D side of the 
company.

We may not like the idea of a professional IETF-er any more than people 
used to like the idea of a professional athlete. For years professional 
were banned from the Olympics. But I don't think such people or their 
participation are a problem.

---

From: Thomas Narten <[email-masked]>
Date: Wed, 29 Jan 2014 08:12:08 -0500

> and all IPR claims that the company may possess.

And doing this could even be a violation of our rules (for the IPR
holder at least), depending on the details.

RFC 3668 says:

   l. "Reasonably and personally known": means something an individual
      knows personally or, because of the job the individual holds,
      would reasonably be expected to know.  This wording is used to
      indicate that an organization cannot purposely keep an individual
      in the dark about patents or patent applications just to avoid the
      disclosure requirement.  But this requirement should not be
      interpreted as requiring the IETF Contributor or participant (or
      his or her represented organization, if any) to perform a patent
      search to find applicable IPR.

Thomas

---

From: Robert Elz <[email-masked]>
Date: Wed, 29 Jan 2014 21:01:14 +0700

Date:        Wed, 29 Jan 2014 14:42:55 +0200
    From:        Yoav Nir <[email-masked]>
    Message-ID:  <[email-masked]>

  | If those people are unaware of the IPR claims,
  | they're unable to steer the working group towards infringing technology.

No, the people are aware of all the technology, they just have no idea
there's any patents (or other IPR) involved.  They can easily (and genuinely)
advocate some great new technology that would solve a problem, without
having the slightest idea that their company is planning on later asserting
its IPR and claiming royalties.

  | I suspect that some companies are hiring people for their "IETF
  | experience" and intentionally keeping them away from the R&D side of the
  | company.

Yes, I think you're right, this has been happening for some time now.

  | We may not like the idea of a professional IETF-er any more than people
  | used to like the idea of a professional athlete.

I don't think that's a good analogy.   There's nothing wrong in
principle with organisations having people whose job it is to interact
with all the appropriate SDOs (after all, that allows the actual R&D
people to do their jobs instead of constantly being side tracked by
nonsense like IETF IPR rules...) but for the IETF, too much of this is
not a good thing.  The problem is that if the actual developers of
whatever is relevant are in a meeting when the technology is being discussed,
they (hopefully) know what are the real issues and problems, and what are
irrelevant side issues that don't really matter.  The professional SDO
attendee tends not to be closely involved enough with the development
and reasons for it, and so will more often simply advocate their company's
way of doing things, regardless whether it is on a point where it really
matters, or one where it really doesn't.

In another reply, Thomas Narten <[email-masked]> said:

  | And doing this could even be a violation of our rules (for the IPR holder at
  | least), depending on the details.

Violation of the rules by whom?  The excerpt you quoted clearly says that
people are not required to go do patent searches to find out whether IPR
might exists, so clearly the attendees (in the situation I postulated)
are not violating any rules.

And the company has (according to IETF theory anyway) no relationship with
the IETF at all - IETF rules and procedures cannot possibly be relevant to
random outside organisations.  Note that the company does not accept the
IETF rules, or tick the box on the registration form, or however it is
done these days, and the company does not join any mailing lists etc - and
certainly is not participating in any discussions, just their unknowing
employees.

Or consider a slightly different scenario - consider a company with some
new (and just recently subject of a patent application) technology that
they'd (for obvious reasons) like to become widely used.  The company then
hires a consultant (or two, or three) to evaluate possible future uses of
the technology.  The consultants are told nothing about the patent application
(which after all, has no bearing on what they've been asked to consult about).

One (or perhaps more) of the consultants asks the company "Have you considered
submitting this to the IETF, it could solve a problem they're having ..."
to which the company replies "We know nothing about that, but we have no
objections if you think it would be useful for them".

The consultant (on his own dime) then attends an IETF meeting, and submits
this new technology to the IETF.

What rules do you think have been broken there?  What rules could possibly 
exist that would make a difference?

Perhaps you might believe that the consultant should have explicitly asked
the company if there were any patents or patent applications on this
technology?  Perhaps he/she should have, and didn't.  Or perhaps that
question was asked, and the company said no.   That might have even been
truthful at the time - it might have been that very question that inspired
the company to file its patent application.

This is all very messy, and once again, dealing with all these issues is
way beyond what network engineers should even be attempting.

Simply make it clear that knowing about IPR, and licensing terms, allows
the IETF to build better protocols that are more useful to the network as
a whole, and so disclosing IPR to the IETF is a good thing to do.  Those
companies (I suspect the majority, especially of the bigger ones) will
(and have in the past) comply, and file the relevant disclosure.  The ones
that refuse are not likely to be swayed in any way by any IETF rules, and
particularly not ones that lack even a hint of any enforcement mechanism.

kre

ps: this will be my final message on this topic.  I don't want to encourage,
or contribute to, even more IETF time wasting on non-engineering issues.

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 29 Jan 2014 15:31:08 +0000

In regard to "all countries / regions" the disclosure requirements are not that different from the disclosure requirements of every SDO, all with memberships from just about every country in the world. 

I would have expected that if there was a legal problem with disclosure, then it would have been spotted by now, given the level of test it has been given by all those SDOs.

The difference with IETF is with representation by individual. For the SDOs the membership is by company or equivalent, and they sign up (on behalf of all their employees or consultants) to the disclosure requirements when they join the SDO.

But in general the disclosure requires as defined in RFC 3979 are not that complex and it is entirely reasonable that all participants should be required to read it. I do not believe it requires a trained legal expert to understand it.

And as for being left alone, if you really are an individual (alone) with "contributor's IPR" or "participants IPR" then you are paying any awful lot of legal fees to keep that IPR; why not spend some of it on your responsibilities to IETF.

As for consultants, if you are paid to participate in the IETF, then you should ensure your contract allows you to meet the requirements of the IETF. It might help if RFC 3979 made this point, but it should be self evident anyway.

Regards

Keith 

> Of Abdussalam Baryun
> Sent: 29 January 2014 10:39
> To: ietf
> Cc: Cullen Jennings (fluffy); IETF WG Chairs
> I agree with the suggestions below and that I never liked the 
> note well wordings. In addition, from Cullen's first message 
> and others, it seems like most IETF participants are not 
> practicing or understandning the note well. The reason may be 
> because engineers are not good in legal issues, so do we have 
> a current legal advisor/position in IETF organisation, or 
> still IETF has no progress in legal experience, so we will 
> need to go back to external legal. Why IETF just leaves its 
> participants alone to do the legal advise but when it comes 
> to their works it encourages inputs? Does the note well 
> consider all countries/regions legal policies? Is it 
> practical/agreeable for all participants any where, or was it tested?
> 
> For me I don't agree with the way the note well is forced on 
> all, it needs more discussions between WGs and their Chairs, 
> but no time for it or no advisors or group discussion/meeting 
> for legal issues (may be only IESG decides for us so far 
> which is never practical).
> 
> AB
> 
> >> All - it is clear that you have a concern about the new 
> note well text.
> >> The problem has been well articulated;
> >
> >
> > Jari, et al,
> >
> >
> > been articulated.  Worse, the problems include the IPR rules 
> > themselves, not just the Note Well:
> >
> >       0.  We have had IPR rules and a Note Well for many years and 
> > have revised both a number of times.  Normally, work we do that has 
> > been around that long warrants being called "mature", which 
> means that 
> > it works well and is well understood.  The latest discussion 
> > demonstrates that that model does not apply to the IETF's IPR 
> > handling.  In fact, the exchange looks more like the disparities we 
> > see early in a working group effort, not what normally 
> takes place after many years.
> >
> >       3.  The current IPR rules appear to impose an unreasonable 
> > demand on IETF participants, such as conflicting with 
> employment arrangements.
> >   (And if it is not erroneous, then what is noteworthy is that a 
> > serious attempt to review the thread has resulted in 
> someone coming to 
> > the conclusion that the Note Well is erroneous.  See point 6.)
> >
> >   Nor is all each document relevant.  So, in effect, the references 
> > are overly broad, as well as too complicated. (See point 6.)
> >
> > IPR rules undermines whatever utility the rules might have. 
>  It sets 
> > up a litigation argument that the participant did not 
> understand the 
> > rules, citing this thread as demonstrating that others also don't.
> >
> >
> > consensus about the meaning of our IPR rules and the utility of our 
> > Note Well.  We are currently /very/ far from being able to do that.
> >
> >       1.  We need a consensus statement that describes our 
> 'model' of 
> > an IETF particpant, in terms of what is reasonable for them to know 
> > and what is reasonable for them to be responsible for and what is 
> > reasonable for them to do, especially within the real time 
> performance 
> > constraints of a working group meeting. The premise of that model 
> > needs to be extreme simplicity and clarity.  Any rules we 
> assert need 
> > to be vetted against that model.  Our current arrangement 
> requires an 
> > average engineer to be more knowledgeable and more diligent 
> than is reasonable.
> > having the Note Well attempt to summarize what the IPR rules are, 
> > versus having it merely declare that we have IPR rules and 
> point the 
> > reader to them.  For summary instruments, like a Note Well, 
> the latter 
> > approach makes far more sense.
> >
> >       3.  We need all of the IPR rules for IETF 
> participation to be in 
> > a single, simple, clear document that is easily 
> understandable by an

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 29 Jan 2014 11:16:23 -0500

Hi Keith,

> The difference with IETF is with representation by individual. For the SDOs the membership is by company or equivalent, and they sign up (on behalf of all their employees or consultants) to the dis…

The IETF is by no means unique in this regard. IEEE 802 and all its
working groups (802.3 (Ethernet), 802.11 (Wi-Fi), 802.15
(Bluetooth/Zigbee/etc)) all have "representation by individual".

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: "GTW" <[email-masked]>
Date: Wed, 29 Jan 2014 12:51:42 -0500

I believe practical experience should play a significant role  shaping 
policies and procedures of any organization.

Much of the discussion has focused on addressing hypothetical situations ... 
and those mainly to do with disclosure obligations.

What  problems has IETF experienced due to non disclosure of IP that has 
turned out to be essential to some RFC but was not disclosed by any party 
... IETF participant, non-participant, consultant, ...anyone.   I do recall 
some sharing about "late disclosures" but I do not have any specifics.  Does 
anyone have data about our practical  experiences?  My opinion is that first 
priority should be do address whatever may be current problems.

I believe most of the current litigation has more to do with differences of 
opinion between licensees and licensors over license assurances made and 
less  to do with allegations  of non disclosure of a disclosure that should 
have been made.

George T. Willingmyre, P.E.
President GTW Associates

-----Original Message----- 
From: Robert Elz
Sent: Wednesday, January 29, 2014 6:26 AM
To: [email-masked]
Cc: [email-masked]
Subject: IPR disclosure rules in general (Was: various other stuff...)

I am fairly sure that no-one asks the sponsors to reveal all their IPR 
before

We may not like this kind of behaviour, but other than completely changing
the way the IETF is designed to operate (to actually have company's 
explicitly
become members, and enter into membership agreements, with only 
representatives
of member companies permitted to participate) which I don't think anyone 
wants,
there really is nothing that can be done about it.

Now this by no means guarantees that the courts won't take a dim view of
this kind of behaviour, if an attempt is later made to enforce the IPR 
claim,
but it won't be because of any breach of IETF rules - there hasn't been any
in this scenario.

problem is something that simply cannot be fixed by any amount of 
engineering.

These days the IETF is spending far too much time on issues that have 
nothing

kre

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 29 Jan 2014 18:08:41 +0000

Agreed. IETF is not unique in this.

The point was to try and explain why individual participants in other SDOs may not have realised how they were committed to similar rules, although they are generally reminded of that commitment at the start of every meeting.

Regards

Keith

> From: Donald Eastlake [mailto:[email-masked]] 
> Sent: 29 January 2014 16:16
> To: DRAGE, Keith (Keith)
> Cc: ietf; IETF WG Chairs
> > In regard to "all countries / regions" the disclosure 
> requirements are not that different from the disclosure 
> requirements of every SDO, all with memberships from just 
> about every country in the world.
> >
> > I would have expected that if there was a legal problem 
> with disclosure, then it would have been spotted by now, 
> given the level of test it has been given by all those SDOs.
> >
> > The difference with IETF is with representation by 
> individual. For the SDOs the membership is by company or 
> equivalent, and they sign up (on behalf of all their 
> employees or consultants) to the disclosure requirements when 
> they join the SDO.
> 
> The IETF is by no means unique in this regard. IEEE 802 and 
> all its working groups (802.3 (Ethernet), 802.11 (Wi-Fi), 802.15
>  155 Beaver Street, Milford, MA 01757 USA  [email-masked]
> 
> 
> > But in general the disclosure requires as defined in RFC 
> 3979 are not that complex and it is entirely reasonable that 
> all participants should be required to read it. I do not 
> believe it requires a trained legal expert to understand it.
> >
> > And as for being left alone, if you really are an 
> individual (alone) with "contributor's IPR" or "participants 
> IPR" then you are paying any awful lot of legal fees to keep 
> that IPR; why not spend some of it on your responsibilities to IETF.
> >
> > As for consultants, if you are paid to participate in the 
> IETF, then you should ensure your contract allows you to meet 
> the requirements of the IETF. It might help if RFC 3979 made 
> this point, but it should be self evident anyway.
> >
> > Regards
> >
> > Keith
> >
> >> From: WGChairs [mailto:[email-masked]] On Behalf Of 
> >> Abdussalam Baryun
> >> well wordings. In addition, from Cullen's first message 
> and others, 
> >> it seems like most IETF participants are not practicing or 
> >> understandning the note well. The reason may be because 
> engineers are 
> >> not good in legal issues, so do we have a current legal 
> >> advisor/position in IETF organisation, or still IETF has 
> no progress 
> >> in legal experience, so we will need to go back to external legal. 
> >> Why IETF just leaves its participants alone to do the legal advise 
> >> but when it comes to their works it encourages inputs? 
> Does the note 
> >> well consider all countries/regions legal policies? Is it 
> >> it or no advisors or group discussion/meeting for legal 
> issues (may 
> >> be only IESG decides for us so far which is never practical).
> >>
> >> AB
> >>

---

From: "Mulligan, Geoff" <[email-masked]>
Date: Wed, 29 Jan 2014 18:22:45 +0000

Great.  I can understand the "Encouraged != required".  I had understood from previous messages that  I would be required.

I'm happy now - well at least about this.

Geoff

Geoff Mulligan | Presidential Innovation Fellow | Executive Office of the President | 301.975.6283

________________________________________
From: Ned Freed <[email-masked]>
Sent: Tuesday, January 28, 2014 1:31 PM
To: Mulligan, Geoff
Cc: Jari Arkko; IETF WG Chairs; [email-masked] Mailing List
Subject: RE: Third party disclosures and NDAs (Re: Problem with new Note Well )

Encouraged != required.

                                Ned